%define soup_version 2.1.9

%define eds_major 1.0

Summary: Backend data server for evolution
Name: evolution-data-server
Version: 0.0.92
Release: 1
License: GPL
Group: System Environment/Libraries
Source0: ftp://ftp.gnome.org/pub/gnome/sources/evolution-data-server/0.0/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-root
Requires: libsoup >= %{soup_version}
BuildRequires: glib2-devel, gnome-vfs2-devel, GConf2-devel, openldap-devel
BuildRequires: intltool, libsoup-devel

%description
This is the backend data server used by Evolution

%package devel
Summary: Development files for building against evolution-data-server
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Development files needed for building things which link against 
evolution-data-server.

%prep
%setup -q

%build
export tagname=CC
CFLAGS="$RPM_OPT_FLAGS -fPIC"; export CFLAGS
%configure --with-openldap=yes
make LIBTOOL=/usr/bin/libtool

%install
rm -rf $RPM_BUILD_ROOT
export tagname=CC
make DESTDIR=$RPM_BUILD_ROOT LIBTOOL=/usr/bin/libtool install

# remove libtool archives for importers and the like
find $RPM_BUILD_ROOT/%{_libdir} -name '*.la' -exec rm {} \;
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

%find_lang %{name}-1.5

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}-1.5.lang
%defattr(-,root,root,-)
%doc README COPYING ChangeLog NEWS AUTHORS
%{_libdir}/bonobo/servers/*
%{_libdir}/*.so.*
%{_libexecdir}/evolution-data-server-%{eds_major}
%{_datadir}/evolution-data-server-%{eds_major}
%{_datadir}/idl/evolution-data-server-%{eds_major}

%files devel
%defattr(-,root,root,-)
%{_includedir}/evolution-data-server-%{eds_major}
%{_datadir}/gtk-doc/html/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Wed Apr 21 2004 David Malcolm <dmalcolm@redhat.com> - 0.0.92-1
- Update to 0.0.92; added a define and a requirement on the libsoup version

* Wed Mar 10 2004 Jeremy Katz <katzj@redhat.com> - 0.0.90-1
- 0.0.90

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 26 2004 Jeremy Katz <katzj@redhat.com> - 0.0.6-1
- 0.0.6

* Wed Jan 21 2004 Jeremy Katz <katzj@redhat.com> - 0.0.5-2
- better fix by using system libtool

* Mon Jan 19 2004 Jeremy Katz <katzj@redhat.com> 0.0.5-1
- add some libdb linkage to make the build on x86_64 happy

* Wed Jan 14 2004 Jeremy Katz <katzj@redhat.com> 0.0.5-0
- update to 0.0.5

* Sat Jan  3 2004 Jeremy Katz <katzj@redhat.com> 0.0.4-0
- Initial build.
